Results 1 to 2 of 2

Thread: Ioncube PHP 7.1 PHP 7.2 CentOS 7

  1. #1
    Join Date
    Feb 2009
    Location
    Germany
    Posts
    27

    Exclamation Ioncube PHP 7.1 PHP 7.2 CentOS 7

    Hi folks,

    I have a problem with a new fresh (out of the box) installation of the latest directadmin on a Centos 7 server. I've installed PHP 7.1 for the first PHP and the second PHP 7.2 PHP
    in the option.conf file ioncube ist set to "yes"
    Everything works fine, but checking with phpinfo() only in the 7.1 installation is the ioncube loader available.
    Not in the second installation PHP 7.2 ?

    After checking

    Code:
    /usr/local/php72/lib/php.conf.d/10-directadmin.ini
    the
    Code:
    ioncubeloader 7.2.so
    is available.

    The standard build with
    Code:
    ./build update
    ./build php n
    ./build php_ini
    Code:
    ./build ioncube
    has no effect!

    Please help me!


    Alan
    ** In a mad world, only the mad are sane. **

  2. #2
    Join Date
    Feb 2009
    Location
    Germany
    Posts
    27
    SOLVED !!!!

    The clue was, in the /usr/local/php72/lib/php.conf.d/10-directadmin.ini file
    there was the reference to ioncube_loader_lin_7.2.so (non-threadsafe version)
    But Custombuild 2.0 have the ThreadSave PHP 7.2 version installed (maybe an error)

    I've checked the correct installation with

    Code:
    cd /usr/local/directadmin/custombuild/
     ./build versions
    then the ioncube error appeared

    then open the

    Code:
    /usr/local/php72/lib/php.conf.d/10-directadmin.ini
    file and edit to:

    Code:
    zend_extension=/usr/local/lib/ioncube/ioncube_loader_lin_7.2_ts.so

    Everything works fine!!
    Last edited by Alan John Fergy; 08-10-2018 at 10:24 AM.
    ** In a mad world, only the mad are sane. **

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •